Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class QueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.websphere.query.base.QueryException

All Implemented Interfaces:
  java.io.Serializable

    public class QueryException

extends java.lang.Exception
implements java.io.Serializable

The QueryException class represents an exception in the query framework. It should be thrown if there is any problem in the framework code.

See Also:
  Serialized Form

Field Summary
`static int` | `DATATYPE_NOT_SUPPORTED`
`protected int` | `exceptionId`
`static int` | `FUNCTION_NOT_SUPPORTED`
`static int` | `MULTI_VALUE_ERROR`
`static int` | `OPERATOR_NOT_SUPPORTED`
`static int` | `QUERYTYPE_NOT_SUPPORTED`
`static int` | `UNKNOWN_ERROR`

Constructor Summary
`QueryException()` Creates a new QueryException instance, default constructor.
`QueryException(java.lang.String s)` Creates a new QueryException instance with the given exception description.
`QueryException(java.lang.String s, int newExceptionId)` Creates a new QueryException instance with the given exception description and exception ID.
`QueryException(java.lang.Throwable cause)` Creates a new QueryException with the specified nested exception.

Method Summary
`int` | `getExceptionId()` Returns the exception ID.
`void` | `setExceptionId(int newExceptionId)` Returns the exception ID for the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_ERROR

    public static final int UNKNOWN_ERROR

See Also:
  Constant Field Values

### OPERATOR_NOT_SUPPORTED

    public static final int OPERATOR_NOT_SUPPORTED

See Also:
  Constant Field Values

### FUNCTION_NOT_SUPPORTED

    public static final int FUNCTION_NOT_SUPPORTED

See Also:
  Constant Field Values

### DATATYPE_NOT_SUPPORTED

    public static final int DATATYPE_NOT_SUPPORTED

See Also:
  Constant Field Values

### QUERYTYPE_NOT_SUPPORTED

    public static final int QUERYTYPE_NOT_SUPPORTED

See Also:
  Constant Field Values

### MULTI_VALUE_ERROR

    public static final int MULTI_VALUE_ERROR

See Also:
  Constant Field Values

### exceptionId

    protected int exceptionId

Constructor Detail

### QueryException

    public QueryException()

  Creates a new QueryException instance, default constructor.

### QueryException

    public QueryException(java.lang.Throwable cause)

  Creates a new QueryException with the specified nested exception.

### QueryException

    public QueryException(java.lang.String s)

  Creates a new QueryException instance with the given exception description.

### QueryException

    public QueryException(java.lang.String s,
                          int newExceptionId)

  Creates a new QueryException instance with the given exception description and exception ID.

Method Detail

### getExceptionId

    public int getExceptionId()

  Returns the exception ID.

### setExceptionId

    public void setExceptionId(int newExceptionId)

  Returns the exception ID for the exception.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD